TRM(4)

NAME
trm - Tekram TRM-S1040 ASIC based PCI SCSI host adapter driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device scbus
device trm

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    trm_load="YES"

DESCRIPTION
The trm driver supports PCI SCSI host adapters based on the Tekram TRM-S1040 SCSI ASIC.

HARDWARE
SCSI controllers supported by the trm driver include:

•   Tekram DC-315 PCI Ultra SCSI adapter without BIOS and internal SCSI connector
•   Tekram DC-315U PCI Ultra SCSI adapter without BIOS
•   Tekram DC-395F PCI Ultra-Wide SCSI adapter with flash BIOS and 68-pin external SCSI connector
•   Tekram DC-395U PCI Ultra SCSI adapter with flash BIOS
•   Tekram DC-395UW PCI Ultra-Wide SCSI adapter with flash BIOS
•   Tekram DC-395U2W PCI Ultra2-Wide SCSI adapter with flash BIOS

For the Tekram DC-310/U and DC-390F/U/UW/U2B/U2W/U3W PCI SCSI host adapters, use the sym(4) driver.

SEE ALSO
cd(4), ch(4), da(4), intro(4), sa(4), scsi(4), sym(4)

http://www.tekram.com/

AUTHORS
-nosplit The trm driver was originally written for FreeBSD 3.0/i386 by Erich Chen of Tekram Technology, and ported to FreeBSD 5.0 by Olivier Houchard <cognet@FreeBSD.org>.